/*
textfield.as
*/

TextField.prototype.rightAlignTo = function (x) {
	var tf = new TextFormat ();
	tf.align = "right";
	this.setTextFormat (tf);
	this.setNewTextFormat (tf);
	delete (tf);	
	this._x = Math.floor (x - this._width);
}

TextField.prototype.leftAlignTo = function (x) {
	var tf = new TextFormat ();
	tf.align = "left";
	this.setTextFormat (tf);
	this.setNewTextFormat (tf);
	delete (tf);
	this._x = Math.floor (x);
}

TextField.prototype.bottomAlignTo = function (y) {
	this._y = Math.floor (y - this.textHeight);
}

TextField.prototype.setInitFormat = function () {
	//trace ("setInitFormat");

	this.multiline = true;
	this.wordWrap = true;
	this.embedFonts = true;
	this.selectable = false;

	var tf = new TextFormat ();
	tf.align = "left";
	tf.font = "uni 05_54";
	tf.size = 8;
	this.setNewTextFormat (tf);
	delete (tf);
}

